## r-bioc-gseabase 1.52.1+ds

=== DESCRIPTION ===
Package: GSEABase
Type: Package
Title: Gene set enrichment data structures and methods
Version: 1.52.1
Author: Martin Morgan, Seth Falcon, Robert Gentleman
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
Description: This package provides classes and methods to support Gene
        Set Enrichment Analysis (GSEA).
License: Artistic-2.0
Depends: R (>= 2.6.0), BiocGenerics (>= 0.13.8), Biobase (>= 2.17.8),
        annotate (>= 1.45.3), methods, graph (>= 1.37.2)
Suggests: hgu95av2.db, GO.db, org.Hs.eg.db, Rgraphviz, ReportingTools,
        testthat, BiocStyle, knitr
Imports: AnnotationDbi, XML
LazyLoad: yes
Collate: utilities.R AAA.R AllClasses.R AllGenerics.R getObjects.R
        methods-CollectionType.R methods-ExpressionSet.R
        methods-GeneColorSet.R methods-GeneIdentifierType.R
        methods-GeneSet.R methods-GeneSetCollection.R
        methods-OBOCollection.R
VignetteBuilder: knitr
biocViews: GeneExpression, GeneSetEnrichment, GraphAndNetwork, GO, KEGG
git_url: https://git.bioconductor.org/packages/GSEABase
git_branch: RELEASE_3_12
git_last_commit: 257dfcc
git_last_commit_date: 2020-12-10
Date/Publication: 2020-12-11
NeedsCompilation: no
Packaged: 2020-12-12 00:46:09 UTC; biocbuild

=== debian/changelog ===
r-bioc-gseabase (1.52.1+ds-1) unstable; urgency=medium

  * Initial release (closes: #976837)
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.

 -- Steffen Moeller <moeller@debian.org>  Thu, 18 Feb 2021 22:05:05 +0100

=== debian/control ===
Source: r-bioc-gseabase
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.13.8),
               r-bioc-biobase,
               r-bioc-annotate,
               r-bioc-graph,
               r-bioc-annotationdbi,
               r-cran-xml
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gseabase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gseabase.git
Homepage: https://bioconductor.org/packages/GSEABase/
Rules-Requires-Root: no

Package: r-bioc-gseabase
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Gene set enrichment data structures and methods
 This package provides classes and methods to support Gene
 Set Enrichment Analysis (GSEA).

## r-bioc-gseabase 1.56.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: GSEABase
 Type: Package
 Title: Gene set enrichment data structures and methods
-Version: 1.52.1
+Version: 1.56.0
 Author: Martin Morgan, Seth Falcon, Robert Gentleman
 Maintainer: Bioconductor Package Maintainer
  <maintainer@bioconductor.org>
@@ -22,9 +22,9 @@
 VignetteBuilder: knitr
 biocViews: GeneExpression, GeneSetEnrichment, GraphAndNetwork, GO, KEGG
 git_url: https://git.bioconductor.org/packages/GSEABase
-git_branch: RELEASE_3_12
-git_last_commit: 257dfcc
-git_last_commit_date: 2020-12-10
-Date/Publication: 2020-12-11
+git_branch: RELEASE_3_14
+git_last_commit: ee7c3ca
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-12-12 00:46:09 UTC; biocbuild
+Packaged: 2021-10-26 21:36:42 UTC; biocbuild

=== debian/changelog ===
r-bioc-gseabase (1.56.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 22:10:41 +0100

r-bioc-gseabase (1.54.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-bioc-biocgenerics.
  * Fix permissions
  * Fix syntax in d/copyright
  * Provide autopkgtest-pkg-r.conf to make sure RUnit will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * Ignore those tests that need not packaged databases

 -- Andreas Tille <tille@debian.org>  Tue, 07 Sep 2021 15:38:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.13.8),
+               r-bioc-biocgenerics,
                r-bioc-biobase,
                r-bioc-annotate,
                r-bioc-graph,
                r-bioc-annotationdbi,
                r-cran-xml
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gseabase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gseabase.git
 Homepage: https://bioconductor.org/packages/GSEABase/

## r-bioc-gseabase 1.58.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: GSEABase
 Type: Package
 Title: Gene set enrichment data structures and methods
-Version: 1.56.0
+Version: 1.58.0
 Author: Martin Morgan, Seth Falcon, Robert Gentleman
 Maintainer: Bioconductor Package Maintainer
  <maintainer@bioconductor.org>
@@ -22,9 +22,9 @@
 VignetteBuilder: knitr
 biocViews: GeneExpression, GeneSetEnrichment, GraphAndNetwork, GO, KEGG
 git_url: https://git.bioconductor.org/packages/GSEABase
-git_branch: RELEASE_3_14
-git_last_commit: ee7c3ca
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 7de0444
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 21:36:42 UTC; biocbuild
+Packaged: 2022-04-26 20:50:39 UTC; biocbuild

=== debian/changelog ===
r-bioc-gseabase (1.58.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 14:22:40 +0200

## r-bioc-gseabase 1.60.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: GSEABase
 Type: Package
 Title: Gene set enrichment data structures and methods
-Version: 1.58.0
+Version: 1.60.0
 Author: Martin Morgan, Seth Falcon, Robert Gentleman
 Maintainer: Bioconductor Package Maintainer
  <maintainer@bioconductor.org>
@@ -22,9 +22,9 @@
 VignetteBuilder: knitr
 biocViews: GeneExpression, GeneSetEnrichment, GraphAndNetwork, GO, KEGG
 git_url: https://git.bioconductor.org/packages/GSEABase
-git_branch: RELEASE_3_15
-git_last_commit: 7de0444
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: aae4e52
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 20:50:39 UTC; biocbuild
+Packaged: 2022-11-01 21:43:32 UTC; biocbuild

=== debian/changelog ===
r-bioc-gseabase (1.60.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 18:26:18 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-bioc-graph,
                r-bioc-annotationdbi,
                r-cran-xml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gseabase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gseabase.git
 Homepage: https://bioconductor.org/packages/GSEABase/

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/GSEABase.html .*/GSEABase_(.*).tar.gz

## r-bioc-gseabase 1.62.0+ds

=== DESCRIPTION ===
Package: GSEABase
Type: Package
Title: Gene set enrichment data structures and methods
Version: 1.62.0
Authors@R: c(
        person("Martin", "Morgan", role = "aut"),
        person("Seth", "Falcon", role = "aut"),
        person("Robert", "Gentleman", role = "aut"),
        person("Paul", "Villafuerte", role = "ctb",
                comment = "'GSEABase' vignette translation from Sweave to Rmarkdown / HTML"),
        person("Bioconductor Package Maintainer", role = "cre",
                email = "maintainer@bioconductor.org"
        ))
Description: This package provides classes and methods to support Gene
        Set Enrichment Analysis (GSEA).
License: Artistic-2.0
Depends: R (>= 2.6.0), BiocGenerics (>= 0.13.8), Biobase (>= 2.17.8),
        annotate (>= 1.45.3), methods, graph (>= 1.37.2)
Suggests: hgu95av2.db, GO.db, org.Hs.eg.db, Rgraphviz, ReportingTools,
        testthat, BiocStyle, knitr, RUnit
Imports: AnnotationDbi, XML
LazyLoad: yes
Collate: utilities.R AAA.R AllClasses.R AllGenerics.R getObjects.R
        methods-CollectionType.R methods-ExpressionSet.R
        methods-GeneColorSet.R methods-GeneIdentifierType.R
        methods-GeneSet.R methods-GeneSetCollection.R
        methods-OBOCollection.R
VignetteBuilder: knitr
biocViews: GeneExpression, GeneSetEnrichment, GraphAndNetwork, GO, KEGG
git_url: https://git.bioconductor.org/packages/GSEABase
git_branch: RELEASE_3_17
git_last_commit: fc20cbc
git_last_commit_date: 2023-04-25
Date/Publication: 2023-04-25
NeedsCompilation: no
Packaged: 2023-04-25 21:19:44 UTC; biocbuild
Author: Martin Morgan [aut],
  Seth Falcon [aut],
  Robert Gentleman [aut],
  Paul Villafuerte [ctb] ('GSEABase' vignette translation from Sweave to
    Rmarkdown / HTML),
  Bioconductor Package Maintainer [cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-gseabase (1.62.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 06:51:38 +0200

## r-bioc-gseabase 1.64.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: GSEABase
 Type: Package
 Title: Gene set enrichment data structures and methods
-Version: 1.62.0
+Version: 1.64.0
 Authors@R: c(
         person("Martin", "Morgan", role = "aut"),
         person("Seth", "Falcon", role = "aut"),
@@ -28,12 +28,12 @@
 VignetteBuilder: knitr
 biocViews: GeneExpression, GeneSetEnrichment, GraphAndNetwork, GO, KEGG
 git_url: https://git.bioconductor.org/packages/GSEABase
-git_branch: RELEASE_3_17
-git_last_commit: fc20cbc
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: d89947c
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 21:19:44 UTC; biocbuild
+Packaged: 2023-10-24 21:28:58 UTC; biocbuild
 Author: Martin Morgan [aut],
   Seth Falcon [aut],
   Robert Gentleman [aut],

=== debian/changelog ===
r-bioc-gseabase (1.64.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 17:54:10 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-bioc-graph,
                r-bioc-annotationdbi,
                r-cran-xml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gseabase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gseabase.git
 Homepage: https://bioconductor.org/packages/GSEABase/

## r-bioc-gseabase 1.66.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: GSEABase
 Type: Package
 Title: Gene set enrichment data structures and methods
-Version: 1.64.0
+Version: 1.66.0
 Authors@R: c(
         person("Martin", "Morgan", role = "aut"),
         person("Seth", "Falcon", role = "aut"),
@@ -28,12 +28,13 @@
 VignetteBuilder: knitr
 biocViews: GeneExpression, GeneSetEnrichment, GraphAndNetwork, GO, KEGG
 git_url: https://git.bioconductor.org/packages/GSEABase
-git_branch: RELEASE_3_18
-git_last_commit: d89947c
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 49e3956
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 21:28:58 UTC; biocbuild
+Packaged: 2024-05-01 04:06:12 UTC; biocbuild
 Author: Martin Morgan [aut],
   Seth Falcon [aut],
   Robert Gentleman [aut],

=== debian/changelog ===
r-bioc-gseabase (1.66.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:40:15 +0200

r-bioc-gseabase (1.66.0+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 15:25:02 +0200

r-bioc-gseabase (1.66.0+ds-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 15:29:25 +0200

=== debian/control ===
Source: r-bioc-gseabase
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gseabase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gseabase.git
Homepage: https://bioconductor.org/packages/GSEABase/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-biobase (>= 2.64.0),
               r-bioc-annotate (>= 1.82.0),
               r-bioc-graph (>= 1.82.0),
               r-bioc-annotationdbi (>= 1.66.0),
               r-cran-xml
Testsuite: autopkgtest-pkg-r

Package: r-bioc-gseabase
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-biobase (>= 2.64.0),
         r-bioc-annotate (>= 1.82.0),
         r-bioc-graph (>= 1.82.0),
         r-bioc-annotationdbi (>= 1.66.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-go.db (>= 3.19.1),
          r-bioc-org.hs.eg.db (>= 3.19.1),
          r-bioc-biocstyle (>= 2.32.1)
Description: Gene set enrichment data structures and methods
 This package provides classes and methods to support Gene
 Set Enrichment Analysis (GSEA).

## r-bioc-gseabase 1.68.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: GSEABase
 Type: Package
 Title: Gene set enrichment data structures and methods
-Version: 1.66.0
+Version: 1.68.0
 Authors@R: c(
         person("Martin", "Morgan", role = "aut"),
         person("Seth", "Falcon", role = "aut"),
@@ -28,13 +28,13 @@
 VignetteBuilder: knitr
 biocViews: GeneExpression, GeneSetEnrichment, GraphAndNetwork, GO, KEGG
 git_url: https://git.bioconductor.org/packages/GSEABase
-git_branch: RELEASE_3_19
-git_last_commit: 49e3956
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 3766175
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 04:06:12 UTC; biocbuild
+Packaged: 2024-10-30 01:03:09 UTC; biocbuild
 Author: Martin Morgan [aut],
   Seth Falcon [aut],
   Robert Gentleman [aut],

=== debian/changelog ===
r-bioc-gseabase (1.68.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 14:57:10 +0100

r-bioc-gseabase (1.68.0+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 11:51:25 +0100

=== debian/control ===
Source: r-bioc-gseabase
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-biobase,
               r-bioc-annotate,
               r-bioc-graph,
               r-bioc-annotationdbi,
               r-cran-xml
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gseabase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gseabase.git
Homepage: https://bioconductor.org/packages/GSEABase/
Rules-Requires-Root: no

Package: r-bioc-gseabase
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Gene set enrichment data structures and methods
 This package provides classes and methods to support Gene
 Set Enrichment Analysis (GSEA).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.obo" -exec chmod -x \{\} \;
